Bug 192821 - LTC23846-FC5 keeps asking to check root file system on LVM and swRAID in every bootstrap
LTC23846-FC5 keeps asking to check root file system on LVM and swRAID in ever...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
powerpc Linux
medium Severity urgent
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-23 09:27 EDT by IBM Bug Proxy
Modified: 2007-11-30 17:11 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-17 11:22:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
messages_paytonlp1 (218.05 KB, text/plain)
2006-05-23 09:29 EDT, IBM Bug Proxy
no flags Details

  None (edit)
Description IBM Bug Proxy 2006-05-23 09:27:27 EDT
LTC Owner is: ameet@us.ibm.com
LTC Originator is: shenlinf@cn.ibm.com


Problem description:
We installed FC5("fedora-development tree (aka rawhide), snapshot May1") on
vestalp3 and paytonlp1. The root file system on vestalp3 resides on LVM, and the
one on paytonlp1 resides on swRAID1.
During each bootstrap, the system keeped asking use to check the root file
system or not. Whatever(y/n) I selected, it keeped asking in next bootstrap.

fs check on vestalp3
-------------------------------
Checking all file systems.
[/sbin/fsck.ext3 (1) -- /] fsck.ext3 -a /dev/VolGroup00/LogVol00
/dev/VolGroup00/LogVol00 is mounted.

WARNING!!!  Running e2fsck on a mounted filesystem may cause
SEVERE filesystem damage.

Do you really want to continue (y/n)? 
-------------------------------

fs check on paytonlp1
----------------------------------------
Checking all file systems.
[/sbin/fsck.ext3 (1) -- /] fsck.ext3 -a /dev/md0
/dev/md0 is mounted.

WARNING!!!  Running e2fsck on a mounted filesystem may cause
SEVERE filesystem damage.

Do you really want to continue (y/n)? 
-----------------------------------


Hardware Environment
    Machine type (p650, x235, SF2, etc.): 9113-550
    Cpu type (Power4, Power5, IA-64, etc.): Power5

[root@paytonlp1 ~]# uname -a
Linux paytonlp1.upt.austin.ibm.com 2.6.16-1.2181_FC6 #1 SMP Sun Apr 30 23:03:19
EDT 2006 ppc64 ppc64 ppc64 GNU/Linux


Is this reproducible?
    If so, how long does it (did it) take to reproduce it?
    Describe the steps:
    1. install FC5, the root file system resides on LVM or swRAID
    2. after the installation succeeds, reboot the system and you will see the
problem

 
Additional information:
I tried to format root file system as ext2 and ext3, but met the same problem
during bootstrap.
Comment 1 IBM Bug Proxy 2006-05-23 09:29:29 EDT
Created attachment 129858 [details]
messages_paytonlp1
Comment 2 IBM Bug Proxy 2006-05-30 00:52:34 EDT
----- Additional Comments From shenlinf@cn.ibm.com  2006-05-30 00:57 EDT -------
It seems that the problem doesn't occur on May 26 version for both LVM and swRAID. 
Comment 3 IBM Bug Proxy 2006-06-06 03:19:00 EDT
changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
            Version|FC5                         |devel




------- Additional Comments From shenlinf@cn.ibm.com  2006-06-06 03:21 EDT -------
I am changing the version to 'devel' to properly reflect that this recreates on
rawhide. 
Comment 4 Dave Jones 2006-10-16 17:04:56 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 5 IBM Bug Proxy 2006-10-17 10:16:01 EDT
----- Additional Comments From ameet@us.ibm.com (prefers email at ameet@austin.ibm.com)  2006-10-17 09:46 EDT -------
RedHat,

This bug was closed on the IBM side as unreproducible. 
Comment 6 Konrad Rzeszutek 2006-10-17 11:22:51 EDT
Ameet,

Thanks for the pointer. Closing BZ.

Note You need to log in before you can comment on or make changes to this bug.